org.apache.storm.opentsdb.client

## Class ClientResponse.Summary

- java.lang.Object
- - org.apache.storm.opentsdb.client.ClientResponse.Summary

- All Implemented Interfaces:
    Serializable, ClientResponse
  Direct Known Subclasses:
    ClientResponse.Details
  Enclosing interface:
    ClientResponse

      public static class ClientResponse.Summary
      extends Object
      implements ClientResponse

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.opentsdb.client.ClientResponse

      `ClientResponse.Details, ClientResponse.Summary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Summary()`
    `Summary(int success, int failed, int timeouts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getFailed()`
    `int` | `getSuccess()`
    `int` | `getTimeouts()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Summary

          public Summary()

    - #### Summary

          public Summary(int success,
                         int failed,
                         int timeouts)

  - ### Method Detail

    - #### getFailed

          public int getFailed()

    - #### getSuccess

          public int getSuccess()

    - #### getTimeouts

          public int getTimeouts()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.